<?php
class sPDO
{
//--Modificare secondo le proprie esigenze
var $DSN =  'mysql:host=localhost;dbname=miodb' ;    
var $DBUSER = 'root';
var $DBPASS = 'miapassword';
//---------------------------------
 
 
 
//Si puo' cmq accedere,se si vuole, alle comuni strutture di PDO mediante questi membri 
var $dbh;  //puntatore al alla connessione
var $sql;  //stringa sql
var $stmt; //lo statement 
var $row;  // la riga pdo in output
 
var $nrows; //numero di righe interessate dall'ultima select;
var $error; // una stringa per gli errori (non usata per adesso)
 
 
 
 
function connect()
{
	//Connessione al db
	try
	{
		//Instaura la connessione
		$this->dbh = new PDO($this->DSN, $this->DBUSER, $this->DBPASS);
 
        //Setto il livello di verbosita' per gli errori
        $this->dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	}
 
	/* Nel caso in cui ci siano errori durante la connessione, 
	 * li cattura nella variabile $myerror e li stampa */
	catch (PDOException $myerror)
	{
		print "Problemi nella connessione al database: <br>" . $myerror->getMessage() . "<br/>";
		$this->error=$myerror->getMessage();
	}
}
 
function execute($sql)
{
	//riempo la varibile sql
	$this->sql=$sql;
 
	//Preparo le strutture per contenere la query
	$this->stmt = $this->dbh->prepare($this->sql);
 
	//Eseguo la query
    $state = $this->stmt->execute();
 
    //Aggiorno la variabile contenente il numero di record interessati dall'ultima select
	if ($this->isSelect($this->sql))
	{
		$this->nrows=0;
		while ($this->row = $this->stmt->fetch(PDO::FETCH_BOUND)) $this->nrows++ ;
    }
    
    //Ritorna FALSE se fallisce e TRUE altrimenti
    return $state;
}
 
function isSelect($sql)
{
	$a=trim($sql);
	//$a=split(" ",$a);
	$a=explode(" ",$a);
	$res = FALSE;
	if (strcasecmp($a[0], "select")==0 ) $res = TRUE;
	return $res;
}

function nrows()
{
	return $this->nrows;
}
 
 
function read($i, $coloumn)
{
	 $c=0;
	 foreach ($this->dbh->query($this->sql) as $this->row) 
	 {
        $c++;
		if ($c==$i)	return $this->row[$coloumn];
     }
}
 
 
function lastInsertId()
{
	//Da verificare di volta in volta.
	return $this->dbh->lastInsertId();
}
 
function GetDriverName()
{
	 //$res=split(":", $this->DSN, 2);
	 $res=explode(":", $this->DSN, 2);
	 return $res[0];
}
 
function addslashes($str)
{
	if ($this->GetDriverName()=="sqlite") $res=sqlite_escape_string($str);
	if ($this->GetDriverName()=="sqlite2") $res=sqlite_escape_string($str);
	if ($this->GetDriverName()=="sqlite3") $res=sqlite_escape_string($str);
	if ($this->GetDriverName()=="mysql") $res=addslashes($str);
	if ($this->GetDriverName()=="mysqli") $res=addslashes($str);
    //if ($this->GetDriverName()=="mysql") $res= mysql_real_escape_string($str);
	//if ($this->GetDriverName()=="mysqli") $res= mysql_real_escape_string($str);
    if ($this->GetDriverName()=="pgsql") $res=pg_escape_string($str);
	return $res;
}

function quote($sql)
{
	return $this->dbh->quote($sql);
}


function countRecordFromTable($table)
{
	$count = current($this->dbh->query("select count(*) from $table")->fetch());
	return $count;
}

 
function disconnect()
{
	$this->dbh=null;
	$this->nrows=0;
	$this->row=null;
	$this->stmt=null;
	$this->error="";
}
 
 
}//classe
 
?>

