<?php

class pobDialog extends pobObject 
{
	public $id;
	public $cssclass;
	public $title;
	public $pos='{ my: "center", at: "center", of: window }';
	public $resizable='false';
	public $autoOpen='false';
	public $url='';
	public $content;
	
	public $height=0;
	public $width=0;
	
	public $maxWidth='false';
	public $maxHeight='false';
	
	public $minWidth=150;
	public $minHeight=150;
	
	public $modal='false';
	public $show='fade';
	public $hide='fade';
	public $dialogClass='';
	
	protected $buttons='{}';
	protected $buttonsCount=0;
	
	
	public function __construct($id, $cssclass='', $title='')
	{
		$this->id= $id;
		$this->cssclass= $cssclass;
		$this->title= $title;
		
		
	}
	
	public function addButton($text, $func)
	{
		$comma='';
		if ($this->buttons=='{}') $this->buttons= '' ;
		if ($this->buttonsCount>0)$comma=', ' ;
		
		$this->buttons=$this->buttons. $comma." {text: '$text', click: function() { $func; }}";
		$this->buttonsCount++;
	}
	
	public function open()
	{
		echo "<div id=\"$this->id\" class=\"$this->cssclass\" style=\"display: none;\" >$this->content</div>";
		
		echo "
			 <script>
				$(function() {
					$( \"#$this->id\" ).dialog({autoOpen: $this->autoOpen },
					{ height: $this->height },{width: $this->width},
					{ dialogClass: \"$this->dialogClass\" }, 
					{ minHeight: $this->minHeight },{minWidth: $this->minWidth},
					{ maxHeight: $this->maxHeight },{maxWidth: $this->maxWidth},
					{ title: \"$this->title\" },
					{ modal: $this->modal },
					{ position: $this->pos },
					{show: \"$this->show\"},
					{hide: \"$this->hide\"},
					
					{buttons:  [$this->buttons] }
					
					);
				});
			</script>	";
			if ($this->url!='') echo "<script> $( \"#$this->id\" ).load('$this->url') </script>";
	}
	
	public function dialog($opt, $flag='callback')
	{
		if ($flag=='callback')
		{
			return "$( \"#$this->id\" ).dialog( $opt ); " ;
		}
		
		if ($flag=='run')
		{
			echo "<script>$( \"#$this->id\" ).dialog($opt); </script>" ;
		} 
	}
	
	public function close($flag='callback')
	{
		if ($flag=='callback') return "$( '#$this->id' ).dialog( 'close'); " ;
		if ($flag=='run') echo "<script>$( '#$this->id' ).dialog( 'close'); </script>" ;
	}
	
	
	
	public function show($flag='callback')
	{
		if ($flag=='callback') return "$( '#$this->id' ).dialog('open' ); " ;
		if ($flag=='run') echo "<script>$(function() { $( '#$this->id' ).dialog( 'open'); })</script>" ;
	}
	
	
}

?>
